# SoMFName Class Reference
[Field classes]

`#include <Inventor/fields/SoMFName.h>`

Inheritance diagram for SoMFName:

List of all members.

## Detailed Description

The SoMFName class is a container for SbName values.

This field is used where nodes, engines or other field containers needs to store arrays of names.

See also:
  SoSFName

## Public Member Functions

void | setValues (const int start, const int num, const char *strings[])
void | setValue (const char *str)

## Static Public Member Functions

void | initClass (void)

## Member Function Documentation

void SoMFName::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoMField.

void SoMFName::setValues | ( | const int | start,
|  | const int | num,
|  | const char * | strings[]
| ) |

| Set num strings from index start in this multiple-value field instance.

void SoMFName::setValue | ( | const char * | str | ) |

| Set this field to contain only a single name, given by str.

The documentation for this class was generated from the following files:

- SoMFName.h
- SoMFName.cpp